moodleNotifer

Classes | Public Member Functions | Static Public Attributes | List of all members
main.models.Student Class Reference

This Class is used for the Database Table: Student. More...

Inheritance diagram for main.models.Student:

## Classes
class | Meta

## Public Member Functions
def | __str__ (self)

## Static Public Attributes
tuple | TYPE_CHOICES
| fname = models.CharField(max_length=200)
| phone_number = models.CharField(max_length=10, unique=True)
| roll_number = models.CharField(max_length=9, default="", unique=True)
| moodle_token = models.CharField(max_length=50, default="", unique=True)
| courses = models.CharField(max_length=50, default="")
| user_type = models.CharField(max_length=10,choices=TYPE_CHOICES, default="General")
| is_update = models.BooleanField(default=False)
| update_courses = models.CharField(max_length=30, default="")

## Detailed Description

This Class is used for the Database Table: Student.

Definition at line 8 of file models.py.

## Member Data Documentation

## ◆ TYPE_CHOICES

tuple main.models.Student.TYPE_CHOICES
| static

Initial value:
= (
("updater", "updater"),
("General", "General"),
)

Definition at line 9 of file models.py.

The documentation for this class was generated from the following file:

- main/models.py